org.fourthline.cling.model.message

## Enum UpnpResponse.Status

- java.lang.Object
- - java.lang.Enum<UpnpResponse.Status>
  - - org.fourthline.cling.model.message.UpnpResponse.Status

- All Implemented Interfaces:
    Serializable, Comparable<UpnpResponse.Status>
  Enclosing class:
    UpnpResponse

      public static enum UpnpResponse.Status
      extends Enum<UpnpResponse.Status>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BAD_REQUEST`
    `INTERNAL_SERVER_ERROR`
    `METHOD_NOT_SUPPORTED`
    `NOT_FOUND`
    `NOT_IMPLEMENTED`
    `OK`
    `PRECONDITION_FAILED`
    `UNSUPPORTED_MEDIA_TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UpnpResponse.Status` | `getByStatusCode(int statusCode)`
    `int` | `getStatusCode()`
    `String` | `getStatusMsg()`
    `static UpnpResponse.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UpnpResponse.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final UpnpResponse.Status OK

    - #### BAD_REQUEST

          public static final UpnpResponse.Status BAD_REQUEST

    - #### NOT_FOUND

          public static final UpnpResponse.Status NOT_FOUND

    - #### METHOD_NOT_SUPPORTED

          public static final UpnpResponse.Status METHOD_NOT_SUPPORTED

    - #### PRECONDITION_FAILED

          public static final UpnpResponse.Status PRECONDITION_FAILED

    - #### UNSUPPORTED_MEDIA_TYPE

          public static final UpnpResponse.Status UNSUPPORTED_MEDIA_TYPE

    - #### INTERNAL_SERVER_ERROR

          public static final UpnpResponse.Status INTERNAL_SERVER_ERROR

    - #### NOT_IMPLEMENTED

          public static final UpnpResponse.Status NOT_IMPLEMENTED

  - ### Method Detail

    - #### values

          public static UpnpResponse.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UpnpResponse.Status c : UpnpResponse.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UpnpResponse.Status valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getStatusCode

          public int getStatusCode()

    - #### getStatusMsg

          public String getStatusMsg()

    - #### getByStatusCode

          public static UpnpResponse.Status getByStatusCode(int statusCode)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.